Subject: [payload] [AVTCORE] RFC 6184 H.264 RPSI/SLI usage

From: "Coban, Muhammed" <[email-masked]>
Date: Mon, 18 Jan 2016 20:28:12 +0000

Hi,

There seems to be no specification of Native RPSI bit string and PictureId field definitions for H.264  regarding RFC 4585 RPSI and SLI messages. RFC 6184 doesn't specify anything for these fields for H.264. Only thing I can find is the RFC 5104 referencing H.271 specification that defines a message that is similar to RPSI for H.264, but I am not sure whether this is widely accepted/used.  What is used for H.264 specific fields for RPSI and SLI?

This issue was raised before, but had no replies on AVTCORE reflector.

https://www.ietf.org/mail-archive/web/avt/current/msg14709.html

Best regards,

Muhammed Coban

---

From: Stephan Wenger <[email-masked]>
Date: Wed, 20 Jan 2016 02:46:28 +0000

Hi Muhammed,
The (codec-) native RPSI bit string of 4585 was meant to be exactly that—a codec-defined bit string.  H.263+ Annex N defines such a bit string in sections N.3.1 and N.4.  There is no equivalent for H.264, so conceptually RPSI cannot be used for H.264.  (Nor for H.265, VPx, …).  If people were interested in reference picture selection based on feedback, they would either create a mapping in the responsible video coding standard group, or use the H.271 route.
As you correctly remark, H.271 includes an RPSI-like equivalent for H.264. I know of one system (and there may have been more) that used the H.271 feedback message for H.264 over H.323/H.245.  I’m not aware of anyone using it over RTCP.  There was an effort underway to create an update for H.271 to support H.265; that effort died the death of lack of resources, but it could be restarted.  ITU-T Q1/16 would be the right group to do so.
As for SLI’s PictureID and H.264, again, there is no defined mapping.  frame_num would probably work in most cases, but to satisfy interop and standardization requirements, that would need to be documented (probably in an RFC updating 6184).
Do you guys have more than academic interest in any of these?  It’s not hard to define them, but would we spend our efforts for anything beyond creation of additional pages of standards (and patents :-)?
Stephan

From: payload <[email-masked]<mailto:[email-masked]>> on behalf of "Coban, Muhammed" <[email-masked]<mailto:[email-masked]>>
Date: Monday, January 18, 2016 at 12:28
To: "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
Subject: [payload] [AVTCORE] RFC 6184 H.264 RPSI/SLI usage

Hi,

There seems to be no specification of Native RPSI bit string and PictureId field definitions for H.264  regarding RFC 4585 RPSI and SLI messages. RFC 6184 doesn’t specify anything for these fields for H.264. Only thing I can find is the RFC 5104 referencing H.271 specification that defines a message that is similar to RPSI for H.264, but I am not sure whether this is widely accepted/used.  What is used for H.264 specific fields for RPSI and SLI?

Best regards,

Muhammed Coban

---

From: "Coban, Muhammed" <[email-masked]>
Date: Wed, 20 Jan 2016 21:54:05 +0000

Thanks Stephan for the clarification. We are interested in defining a clear spec. for interoperability. We have product interests in usage of these messages. Defining frame_num or POC for the codec specific field to be used with RPSI/SLI messages in a paragraph that would update RFC 6184 would be sufficient.

Muhammed

From: Stephan Wenger [mailto:[email-masked]]
Sent: Tuesday, January 19, 2016 6:46 PM
To: Coban, Muhammed; [email-masked]; [email-masked]
Subject: Re: [payload] [AVTCORE] RFC 6184 H.264 RPSI/SLI usage

Hi Muhammed,

Hi,

Best regards,

Muhammed Coban